<template>
  <web-view
    ref="amapView"
    src="/static/amap/coordination.html"
    bindmessage="receiveMessage"
    :webview-styles="{
      height: proxy.$settingStore.webViewHeight,
    }"
  ></web-view>
</template>

<script setup>
import { onReady, onLoad, onShow, onNavigationBarButtonTap } from "@dcloudio/uni-app";
import { ref, onMounted, inject, shallowRef, reactive, getCurrentInstance, toRefs, nextTick } from "vue";
import { useStores, commonStores } from "@/store/modules/index";

const commonStore = commonStores(); //全局公共Store

const { proxy } = getCurrentInstance();

// 自定义导航事件
onNavigationBarButtonTap((e) => {
  if (e.float == "right") {
    uni.navigateTo({
      url: "/pages/business/zhaf/xunJian/collect/components/collectRecord",
    });
  } else {
  }
});

onLoad((options) => {});

onShow(() => {
  //调用系统主题颜色
  proxy.$settingStore.systemThemeColor([1]);
});

onReady(() => {});

onMounted(() => {});
</script>
